# -*- coding: utf-8; -*-
################################################################################
#
#  Rattail -- Retail Software Framework
#  Copyright © 2010-2020 Lance Edgar
#
#  This file is part of Rattail.
#
#  Rattail is free software: you can redistribute it and/or modify it under the
#  terms of the GNU General Public License as published by the Free Software
#  Foundation, either version 3 of the License, or (at your option) any later
#  version.
#
#  Rattail is distributed in the hope that it will be useful, but WITHOUT ANY
#  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
#  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
#  details.
#
#  You should have received a copy of the GNU General Public License along with
#  Rattail.  If not, see <http://www.gnu.org/licenses/>.
#
################################################################################
"""
Theo app settings
"""

# bring in some common settings from rattail
from rattail.settings import (
    Setting,

    # (General)
    rattail_app_title,
    rattail_single_store,
    tailbone_background_color,

    # Customer Orders
    rattail_custorders_new_order_requires_customer,
    rattail_custorders_new_orders_allow_contact_info_choice,
    rattail_custorders_new_orders_restrict_contact_info,

    # # DataSync
    # rattail_datasync_url,
    # tailbone_datasync_restart,

    # Mail
    rattail_mail_record_attempts,

    # Products
    # rattail_product_key,
    # rattail_product_key_title,
    tailbone_products_show_pod_image,

    # Purchasing / Receiving
    rattail_batch_purchase_allow_cases,
    rattail_batch_purchase_allow_expired_credits,
    rattail_batch_purchase_allow_receiving_from_scratch,
    rattail_batch_purchase_allow_receiving_from_invoice,
    rattail_batch_purchase_allow_receiving_from_purchase_order,
    rattail_batch_purchase_mobile_images,
    rattail_batch_purchase_mobile_quick_receive,
    rattail_batch_purchase_mobile_quick_receive_all,

    # Reporting
    tailbone_reporting_choosing_uses_form,

    # Vendors
    rattail_vendor_use_autocomplete,
)


##############################
# (General)
##############################

class theo_link_to_mobile(Setting):
    """
    If set, displays a link to Theo Mobile app, within main (desktop) app page
    footer.
    """
    group = "(General)"
    namespace = 'theo'
    name = 'link_to_mobile'
    data_type = bool
